Installer - Bug #25564

katello-certs-check gives the wrong output if using certificate with wildcard.
11/27/2018 11:24 PM - Suraj Patil

Status: Closed

Priority: Normal

Assignee: Suraj Patil

Category: foreman-installer script

Target version:

Difficulty: trivial Fixed in Releases: 1.23.0
Triaged: Yes Found in Releases:

Bugzilla link: 1654326 Red Hat JIRA:

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/347

Description
If we try to install custom certs on satellite with wildcard i.e CN=*.example.com katello-certs-check gives the wrong output.

katello-certs-check gives the command to generate the capsule certs as below instead of satellite-installer command.

To use them inside a NEW $FOREMAN_PROXY, run this command:

capsule-certs—-generate —-foreman-proxy-fgdn "$SFOREMAN_PROXY"\
—-—certs—-tar "~/$SFOREMAN_PROXY-certs.tar"\
—-—-server-cert "/customcerts/cert_crt.pem"\
—--server-key "/customcerts/cert_key.pem"\
—--server—-ca-cert "/customcerts/CA_crt.pem"\

To use them inside an EXISTING S$SFOREMAN_PROXY, run this command INSTEAD:

capsule-certs-generate —--foreman-proxy-fgdn "$SFOREMAN_PROXY"\
—-—certs—-tar "~/$SFOREMAN_PROXY-certs.tar"\
—-—-server-cert "/customcerts/cert_crt.pem"\
—--server-key "/customcerts/cert_key.pem"\
—--server—-ca—-cert "/customcerts/CA_crt.pem"\
——certs-update-server

Related issues:
Related to Installer - Bug #30251: make it possible to brand katello-certs-check Closed

Associated revisions

Revision 86979bce - 07/18/2019 02:59 PM - Suraj Patil
Fixes #25564 - add target option

Rather than attempting to detect the target based on the hostname, this adds an
explicit parameter which allows users to force the output to match their use.

Co-Authored-By: Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl>

History

#1 - 11/27/2018 11:39 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/Katello/katello-installer/pull/718 added

#2 - 11/28/2018 06:46 PM - Christine Fouant
- Target version set to Katello 3.10.1

- Triaged changed from No to Yes

#3 - 11/30/2018 03:04 PM - The Foreman Bot
- Pull request https://github.com/Katello/katello-installer/pull/723 added

#4 - 02/11/2019 01:10 PM - Ewoud Kohl van Wijngaarden
- Project changed from Katello to Installer

- Category deleted (Installer)

- Status changed from Ready For Testing to New

- Target version deleted (Katello 3.10.1)

- Pull request deleted (https://github.com/Katello/katello-installer/pull/723, https://github.com/Katello/katello-installer/pull/718)

#5 - 03/11/2019 05:57 PM - Suraj Patil
- Assignee deleted (Suraj Patil)

#6 - 04/22/2019 12:40 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman-installer/pull/347 added

#7 - 07/05/2019 03:51 PM - Suraj Patil

- Assignee set to Suraj Patil

#8 - 07/18/2019 02:59 PM - The Foreman Bot
- Fixed in Releases 1.23.0 added

#9 - 07/18/2019 03:01 PM - Anonymous
- Status changed from Ready For Testing to Closed

Applied in changeset installer|86979bce28f31a76ca4261bdfff36601c1449bbe.

#10 - 07/24/2019 02:57 PM - Amit Upadhye

- Category set to foreman-installer script

#11 - 11/28/2019 10:14 AM - Ewoud Kohl van Wijngaarden
- Bugzilla link set to 1654326

#12 - 07/27/2021 06:56 PM - Ewoud Kohl van Wijngaarden
- Related to Bug #30251: make it possible to brand katello-certs-check added
